function cargarModelos() {
	var str = "";
	$("#marcas option:selected").each(function() {
		str += $(this).val() + ",";
	});
	if (str != "") {
		str = str.substring(0, str.length - 1);// quitamos la coma
		$.post(
				"/m05bParqueMovilWar/m05bAjaxControllerServlet?tipo=0&marcas="
						+ str).done(
				function(data) {
					// var respuestas=json_parse( data );
					var select = $('#modelos');
					if (select.prop) {
						var options = select.prop('options');
					} else {
						var options = select.attr('options');
					}
					$('option', select).remove();
					for (i = 0; i < data.salida.length; i++) {
						options[options.length] = new Option(
								data.salida[i].text, data.salida[i].val);
					}
					;
				});
	}
}

function actualizarYCargar() {
var base=false;
	if(document.getElementById("base2"))
		base=true;
	else
		base =false;;
	if (document.getElementById("fechadesde").value.length > 0
			&& document.getElementById("fechahasta").value.length > 0) {
		var str = "";
		vpw = $(window).width();
		vph = $(window).height();
		$("#aviso").css({
			"heigh" : vph + "px"
		});
		$("#aviso").show();

		$.post("/m05bParqueMovilWar/m05bAjaxControllerServlet?tipo=1").done(
				function(data) {
					// var respuestas=json_parse( data );
					// $("#aviso").hide();
					fncImprimir();
				});
	} else if (base && (document.getElementById("base2").checked)
			&& document.getElementById("fechahasta").value.length > 0) {

		fncImprimir();
	} else
		alert(dameAlerta("es", 37));

}
function actualizarYCargarKilometrajes() {

	if (document.getElementById("fechadesde").value.length > 0
			&& document.getElementById("fechahasta").value.length > 0) {
		if (!document.getElementById("base").checked) {
			var str = "";
			vpw = $(window).width();
			vph = $(window).height();
			$("#aviso").css({
				"heigh" : vph + "px"
			});
			$("#aviso").show();

			var f1 = document.getElementById("fechadesde").value;
			var f2 = document.getElementById("fechahasta").value;
			$.post(
					"/m05bParqueMovilWar/m05bAjaxControllerServlet?tipo=2&fechadesde="
							+ f1 + "&fechahasta=" + f2).done(function(data) {
				// var respuestas=json_parse( data );
				// $("#aviso").hide();
				fncImprimir();
			});
		} else {
			fncImprimir();
		}
	} else {
	
		alert(dameAlerta("es", 37));
	}

}

function copiamarcas() {
	var select = $('#marcas2');
	$('option', select).remove();

	$("#marcas option:selected").each(function() {
		select.append( new Option($(this).text(), $(this).text()));

	});
    $('#marcas2 option').attr("selected","selected");

}
function json_parse(data) {
	return (typeof (JSON) !== 'undefined' && typeof (JSON.parse) === 'function') ? JSON
			.parse(data)
			: eval('(' + data + ')');
}

